---
layout: developer-survey
title: 'Mapping the DevSecOps Landscape'
description: 'This year, over 3,650 respondents from 21 countries spoke about their DevOps successes, challenges, and ongoing struggles.'
canonical_path: "/developer-survey/previous/2020/"
twitter_image: '/images/opengraph/devsecops-survey-results-2020.png'
twitter_image_alt: 'Stylized graphic with a fun rainbow of colors announcing the 2020 DevSecOps Survey Results'
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
extra_css:
  - devsecops-survey.css
destination_url: "/resources/downloads/2020-devsecops-report.pdf"
form_id: "1002"
form_type: "resources"
link_text: "Click here to view the ebook"
success_message: "You will also receive a link to the report to your inbox shortly."
---

-#%script{ src: "/javascripts/libs/tweenmax.min.js", type: "text/javascript" }
%script{ "src": "/javascripts/devsecops-survey.js", "type": "text/javascript", "data-cookieconsent": "ignore" }

- color_dso_green = "#49F2BA"
- color_dso_purple_dark = "#2E0864"
- color_bg_survey = "#380D75"
- color_dso_purple = "#DE3BED"
- color_dso_blue = "#18A3FF"
- color_dso_yellow = "#FFDE75"
- color_dso_red = "#FF7575"
- color_cta_bright = "#FC6D26"

%main#hero.hero
  %section.container
    .title-wrapper
      .row
        .col-md-5.u-margin-top-xl
          = image_tag "/images/logos/wm_web_text_white.svg", style: "height: 40px; margin-bottom: 20px;"
          %h3 Mapping the
          %h1{style: "color: #{color_dso_green}; line-height: 1;"} DevSecOps
          %h1{style: "color: #{color_dso_green}; display: inline-block; line-height: 1; margin-bottom: 20px; vertical-align: baseline;"} Landscape
          %div{style: "display: inline-block; vertical-align: baseline;"}
            %h6{style: "color: #{color_dso_green};"} 2020
            %h6{style: "color: #{color_dso_green};"} Survey Results
          %h4{style: "margin-bottom: 20px;"} This year, over 3,650 respondents from 21 countries spoke about their DevOps successes, challenges, and ongoing struggles.
          %p Three facts stood out: DevOps speeds up release times and improves code quality, but it has also dramatically changed the roles and responsibilities of developers, operations pros, security team members, and testers.
          %p{style: "margin-bottom: 40px;"}
            %strong Here's what you need to know.
          %p#hero-download
            %a.btn.cta-btn.button-white{href: "#download"}
              Get the full report
        .col-md-7
          = image_tag "/images/devsecops-survey/gitlab-devsecops-header-bg.svg", style: "transform: translate(100px, -50px);"

%header.navbar#main-nav{role: "navigation"}
  .navbar-inner-wrap
    .navbar-left
      = link_to "/", class: "navbar-brand animated" do
        = image_tag "/images/logos/wm_web_notext.svg"
    .navbar-center
      .navbar-tabs
        %a.development{href: "#development"} Development
        %a.security{href: "#security"} Security
        %a.operations{href: "#operations"} Operations
        %a.test{href: "#test"} Test
    .navbar-right
      %a.btn.btn-nav-cta.btn-nav-link-cta{href: "#download"}
        Get the full report
        %span.cta-icon
          = image_tag "/images/devsecops-survey/cta-full-report.svg"

%main#generic
  %section.container.u-margin-top-xl.u-margin-bottom-xl
    :css
      #generic {
        --color-component-highlight: #{color_dso_green};
      }
    .row.u-margin-top-xl
      .col-md-4
        .empty
      .col-md-1.blob-abstract
        = image_tag "/images/devsecops-survey/gitlab-devsecops-section-mega-blob-generic.svg"
      .col-md-2.col-md-offset-1.u-margin-top-xl.numeric-highlight{style: "text-align: right; position: relative;"}
        %h1 59
      .col-md-4.u-margin-top-xl.u-margin-bottom-xl.statistic-container
        .unit.color-component-highlight
          %span.mobile-numeric-highlight 59
          %span %
        %h4 of companies deploy multiple times a day, once a day, or once every few days.
        %p That’s up from 45% last year. In other words, DevOps brings truly continuous deployment.

    .row.icon-list-columns.u-margin-top-md.u-margin-bottom-md
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_coming-of-age.svg"
      .col-md-4
        %h4.color-component-highlight Coming of age
        %p
          %strong Over 25% of companies 
          are in the DevOps “sweet spot” of three to five years of practice. And another 37% are well on their way, with between one and three years under their belts.

      .col-md-1.col-md-offset-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_code-quality.svg"
      .col-md-4
        %h4.color-component-highlight Want better code quality?
        %p
          %strong It's DevOps FTW 
          The majority of respondents said code quality was the biggest benefit of choosing DevOps.

    .row.icon-list-columns.u-margin-top-md
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_work-in-progress.svg"
      .col-md-4
        %h4.color-component-highlight Still works in progress
        %p
          %strong The majority of respondents 
          aren’t using Kubernetes and microservices yet, but they are investigating them.

      .col-md-1.col-md-offset-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_testing-is-hard.svg"
      .col-md-4
        %h4.color-component-highlight Test is still hard
        %p
          %strong Today 47% of companies 
          say testing is the number one reason for delays. That’s down slightly from last year’s survey.

    .row.icon-list-columns.u-margin-top-md.u-margin-bottom-md
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_job-satisfaction.svg"
      .col-md-4
        %h4.color-component-highlight Job satisfaction
        %p
          %strong 66% of respondents 
          say their organization’s processes and tools allow them to succeed and innovate.

    .row.testimonial-section
      %blockquote.testimonial
        %span.quotemark.color-component-highlight &ldquo;
        Pre-deployment tests have provided more confidence that the product is ready to be released; also delivery frequency has increased. 
        %span.quotemark.color-component-highlight &rdquo;
      .testimonial-source 2020 survey participant


%main#development
  %span.bgblob
    = image_tag "/images/devsecops-survey/gitlab-devsecops-bgblob-development.svg"
  %section.container.u-margin-top-xl.u-margin-bottom-xl
    :css
      #development {
        --color-component-highlight: #{color_dso_purple};
      }
    .row
      .col-md-6.u-margin-bottom-xl
        %h1 Development
        %h4.u-margin-bottom-lg Development today is more than just writing code. Devs report they’ve taken on traditional operations roles like creating and maintaining infrastructures.
    .row.u-margin-top-xl
      .col-md-4
        .empty
      .col-md-1.blob-abstract
        = image_tag "/images/devsecops-survey/gitlab-devsecops-section-mega-blob-development.svg"
      .col-md-2.col-md-offset-1.u-margin-top-xl.numeric-highlight{style: "text-align: right; position: relative;"}
        %h1 82
      .col-md-4.u-margin-top-xl.u-margin-bottom-xl.statistic-container
        .unit.color-component-highlight
          %span.mobile-numeric-highlight 82
          %span %
        %h4 of developers report they’re releasing code more quickly.
        %p Most report two to five times increases although one developer said his team was “light years ahead.”

    .row.icon-list-columns.u-margin-top-md
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_investing-in-the-future.svg"
      .col-md-4
        %h4.color-component-highlight Investing in the future
        %p
          %strong Last year, respondents told us they wanted to invest in their DevOps processes. 
          And they did. The top three areas for investment this year: CI, SCM, and test automation.

      .col-md-1.col-md-offset-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_more-testing-stat.svg"
      .col-md-4
        %h4.color-component-highlight More testing STAT
        %p
          %strong Devs are nearly unanimous 
          in the need for their organizations to do more testing. Apparently, you can’t have too much testing.

    .row.icon-list-columns.u-margin-top-md
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_who-owns-security.svg"
      .col-md-4
        %h4.color-component-highlight Who owns security?
        %p
          %strong It depends on who you ask. 
          But, more than 25% of developers feel 
          %strong solely responsible 
          for security, indicating that shifting security left has begun in earnest.

      .col-md-1.col-md-offset-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_code-review.svg"
      .col-md-4
        %h4.color-component-highlight Code review
        %p
          %strong Love it or hate it, they’re doing it, a lot. 
          Most do code reviews weekly, but many said their organizations are moving to a daily cadence.

    .row.icon-list-columns.u-margin-top-md.u-margin-bottom-xl
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_hands-off-automation.svg"
      .col-md-4
        %h4.color-component-highlight Hands off
        %p
          %strong Thanks to DevOps automation improvements, 
          developers are happy to report they no longer have to deal with annoying “manual” tasks like testing and deployments.

    .row.u-margin-bottom-md
      .col-md-4.col-md-offset-1
        .chart
          %h3.chart-title What changes have you made to your software development process?
          %ol.chart-list
            %li
              %b 21% 
              %span Continuous integration
              .bar
                %span{style: "width: 21%;"}
            %li
              %b 15% 
              %span Source code management
              .bar
                %span{style: "width: 15%;"}
            %li
              %b 15% 
              %span Automated testing
              .bar
                %span{style: "width: 15%;"}
            %li
              %b 15% 
              %span Continuous delivery
              .bar
                %span{style: "width: 15%;"}
          %p.chart-caption Respondents were asked to rate their organization’s DevOps processes based on organization, repeatability, and scalability.
      .col-md-4.col-md-offset-2
        .chart
          %h3.chart-title What traditional “ops” roles are devs taking on?
          %ol.chart-list
            %li
              %b 35% 
              %span Continuous integration
              .bar
                %span{style: "width: 35%;"}
            %li
              %b 18% 
              %span Source code management
              .bar
                %span{style: "width: 18%;"}
            %li
              %b 14% 
              %span Automated testing
              .bar
                %span{style: "width: 14%;"}
            %li
              %b 12% 
              %span Continuous delivery
              .bar
                %span{style: "width: 12%;"}
          %p.chart-caption Respondents were asked to rate their organization’s DevOps processes based on organization, repeatability, and scalability.

    .row.testimonial-section
      %blockquote.testimonial
        %span.quotemark.color-component-highlight &ldquo;
        We reduced our CI build queue time by 75%, which allowed developers to have test results faster and allows QA to have build artifacts to test faster.
        %span.quotemark.color-component-highlight &rdquo;
      .testimonial-source 2020 survey participant

%main#security
  %span.bgblob
    = image_tag "/images/devsecops-survey/gitlab-devsecops-bgblob-security.svg"
  %section.container.u-margin-top-xl.u-margin-bottom-xl
    :css
      #security {
        --color-component-highlight: #{color_dso_blue};
      }
    .row
      .col-md-6.u-margin-bottom-xl
        %h1 Security
        %h4.u-margin-bottom-lg No longer outsiders looking in, security team members say they’re now part of cross-functional teams working more closely with developers than ever before.
    .row.u-margin-top-xl
      .col-md-4
        .empty
      .col-md-1.blob-abstract
        = image_tag "/images/devsecops-survey/gitlab-devsecops-section-mega-blob-security.svg"
      .col-md-2.col-md-offset-1.u-margin-top-xl.numeric-highlight{style: "text-align: right; position: relative;"}
        %h1 13
      .col-md-4.u-margin-top-xl.u-margin-bottom-xl.statistic-container
        .unit.color-component-highlight
          %span.mobile-numeric-highlight 13
          %span %
        %h4 of companies give developers access to the results of dynamic application security tests.
        %p If you want to enable developers to find and fix vulnerabilities, you have to give them the scan results in their pipelines or native workflows.

    .row.icon-list-columns.u-margin-top-md
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_org-shift-left.svg"
      .col-md-4
        %h4.color-component-highlight You call that a shift left?
        %p
          %strong Sec pros report that their orgs are shifting security left, 
          but they really aren’t doing the scans to support that claim.

      .col-md-1.col-md-offset-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_bug-friends.svg"
      .col-md-4
        %h4.color-component-highlight Why can’t we be friends?
        %p
          %strong Just like in last year’s survey, 
          security pros think devs don’t find enough of the bugs at the earliest stages and are slow to prioritize fixing them.

    .row.icon-list-columns.u-margin-top-md
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_clound-native.svg"
      .col-md-4
        %h4.color-component-highlight Cutting edge is left out
        %p
          %strong Most sec teams don’t have security processes in place 
          for microservices/containers/APIs/cloud native or serverless.

      .col-md-1.col-md-offset-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_who-owns-it.svg"
      .col-md-4
        %h4.color-component-highlight Who owns it?
        %p
          %strong Almost 33% of security respondents 
          said they were responsible for security. But nearly as many, 29%, said 
          %strong everyone 
          was responsible for security. Clarity is needed.

    .row.icon-list-columns.u-margin-top-md.u-margin-bottom-xl
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_testing-traction.svg"
      .col-md-4
        %h4.color-component-highlight Testing traction
        %p
          %strong Over 42% said testing happens too late in the lifecycle, 
          36% reported it was hard to understand, process, and fix any discovered vulnerabilities, and 31% found prioritizing vulnerability remediation an uphill battle.

    .row.u-margin-bottom-md
      .col-md-4.col-md-offset-1
        .chart
          %h3.chart-title In your experience how is the security role changing?
          %ol.chart-list
            %li
              %b 28% 
              %span I am increasingly part of a cross-functional team focused on security
              .bar
                %span{style: "width: 28%;"}
            %li
              %b 27% 
              %span I am more involved in the day to day/more hands on
              .bar
                %span{style: "width: 27%;"}
            %li
              %b 23% 
              %span I am more compliance-focused
              .bar
                %span{style: "width: 23%;"}
            %li
              %b 19% 
              %span My role is not changing
              .bar
                %span{style: "width: 19%;"}
          %p.chart-caption Respondents were asked to rate their organization’s DevOps processes based on organization, repeatability, and scalability.
      .col-md-4.col-md-offset-2
        .chart
          %h3.chart-title In your organization, which group is primarily responsible for security?
          %ol.chart-list
            %li
              %b 33% 
              %span Security
              .bar
                %span{style: "width: 33%;"}
            %li
              %b 29% 
              %span Everybody
              .bar
                %span{style: "width: 29%;"}
            %li
              %b 21% 
              %span Developers
              .bar
                %span{style: "width: 21%;"}
            %li
              %b 12% 
              %span Operations
              .bar
                %span{style: "width: 12%;"}
          %p.chart-caption We’re excited, but it’s important to note that 60% of survey respondents are GitLab users.

    .row.testimonial-section
      %blockquote.testimonial
        %span.quotemark.color-component-highlight &ldquo;
        (Security) is becoming less focused into silo positions and more of a Jack of all trades role.
        %span.quotemark.color-component-highlight &rdquo;
      .testimonial-source 2020 survey participant

%main#operations
  %span.bgblob
    = image_tag "/images/devsecops-survey/gitlab-devsecops-bgblob-operations.svg"
  %section.container.u-margin-top-xl.u-margin-bottom-xl
    :css
      #operations {
        --color-component-highlight: #{color_dso_yellow};
      }
    .row
      .col-md-6.u-margin-bottom-xl
        %h1 Operations
        %h4.u-margin-bottom-lg Perhaps nowhere more than in operations can the sweeping changes wrought by DevOps be seen. Ops is the place where process changes, tech changes, and cultural changes all seem to collide.
    .row.u-margin-top-xl
      .col-md-4
        .empty
      .col-md-1.blob-abstract
        = image_tag "/images/devsecops-survey/gitlab-devsecops-section-mega-blob-operations.svg"
      .col-md-2.col-md-offset-1.u-margin-top-xl.numeric-highlight{style: "text-align: right; position: relative;"}
        %h1 52
      .col-md-4.u-margin-top-xl.u-margin-bottom-xl.statistic-container
        .unit.color-component-highlight
          %span.mobile-numeric-highlight 52
          %span %
        %h4 of operations team members say their first priority today is managing cloud services.

    .row.icon-list-columns.u-margin-top-md
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_changing-roles.svg"
      .col-md-4
        %h4.color-component-highlight Changing roles
        %p
          %strong Over 60% 
          report new and different responsibilities because of DevOps.

      .col-md-1.col-md-offset-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_automation-on-the-move.svg"
      .col-md-4
        %h4.color-component-highlight  Automation is on the move
        %p
          %strong Almost 40% of operations team members
          said their development lifecycle is “mostly” automated.

    .row.icon-list-columns.u-margin-top-md.u-margin-bottom-xl
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_blending-dev.svg"
      .col-md-4
        %h4.color-component-highlight Blending in with dev
        %p
          %strong Almost 70% of ops pros 
          report that devs can provision their own environments, a sure sign of shifting responsibilities brought on by new processes and changing technologies.

      .col-md-1.col-md-offset-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_staying-secure.svg"
      .col-md-4
        %h4.color-component-highlight Staying secure
        %p
          %strong Over 21% of ops pros 
          say they feel solely responsible for security in their organizations.

    .row.u-margin-bottom-md
      .col-md-4.col-md-offset-1
        .chart
          %h3.chart-title How automated is your development lifecycle?
          %ol.chart-list
            %li
              %b 38% 
              %span Mostly
              .bar
                %span{style: "width: 38%;"}
            %li
              %b 35% 
              %span Partially
              .bar
                %span{style: "width: 35%;"}
            %li
              %b 16% 
              %span Just beginning
              .bar
                %span{style: "width: 16%;"}
            %li
              %b 3% 
              %span No automation at all
              .bar
                %span{style: "width: 3%;"}
          %p.chart-caption Respondents were asked to rate their organization’s DevOps processes based on organization, repeatability, and scalability.
      .col-md-4.col-md-offset-2
        .chart
          %h3.chart-title How many monitoring tools do you use?
          %ol.chart-list
            %li
              %b 65% 
              %span Between two and five
              .bar
                %span{style: "width: 65%;"}
            %li
              %b 18% 
              %span One
              .bar
                %span{style: "width: 18%;"}
            %li
              %b 12% 
              %span None
              .bar
                %span{style: "width: 12%;"}
          %p.chart-caption We’re excited, but it’s important to note that 60% of survey respondents are GitLab users.

    .row.testimonial-section
      %blockquote.testimonial
        %span.quotemark.color-component-highlight &ldquo;
        [Operations today] is 60% new project work and 40% operations/fire-fighting/developer support.
        %span.quotemark.color-component-highlight &rdquo;
      .testimonial-source 2020 survey participant

%main#test
  %span.bgblob
    = image_tag "/images/devsecops-survey/gitlab-devsecops-bgblob-test.svg"
  %section.container.u-margin-top-xl.u-margin-bottom-xl
    :css
      #test {
        --color-component-highlight: #{color_dso_red};
      }
    .row
      .col-md-6.u-margin-bottom-xl
        %h1 Test
        %h4.u-margin-bottom-lg Testing is hard, and there’s never enough of it. But one bright spot: Almost 35% of testers surveyed said their organizations were more than halfway to full test automation.
    .row.u-margin-top-xl
      .col-md-4
        .empty
      .col-md-1.blob-abstract
        = image_tag "/images/devsecops-survey/gitlab-devsecops-section-mega-blob-test.svg"
      .col-md-2.col-md-offset-1.u-margin-top-xl.numeric-highlight{style: "text-align: right; position: relative;"}
        %h1 59
      .col-md-4.u-margin-top-xl.u-margin-bottom-xl.statistic-container
        .unit.color-component-highlight
          %span.mobile-numeric-highlight 47
          %span %
        %h4 of testers report their QA departments aren’t shrinking
        %p despite advances in automation their teams are the same size they were last year.

    .row.icon-list-columns.u-margin-top-md
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_closer-collabs.svg"
      .col-md-4
        %h4.color-component-highlight DevSecOps = closer collabs
        %p
          %strong About 33% of testers 
          report closer (and presumably happier) collaboration with developers than ever before.

      .col-md-1.col-md-offset-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_automation.svg"
      .col-md-4
        %h4.color-component-highlight Automation is happening, slowly
        %p
          %strong Just 12% 
          claim to have full test automation.

    .row.icon-list-columns.u-margin-top-md
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_org-shift-left.svg"
      .col-md-4
        %h4.color-component-highlight Some shift left
        %p
          %strong Almost 75% 
          of testers say their orgs have shifted testing left (meaning closer to development).

      .col-md-1.col-md-offset-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_qa-dept.svg"
      .col-md-4
        %h4.color-component-highlight QA departments aren’t shrinking
        %p
          %strong Almost 60% 
          said their teams are the same size they were last year, despite advances in automation.

    .row.icon-list-columns.u-margin-top-md.u-margin-bottom-xl
      .col-md-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_bots.svg"
      .col-md-4
        %h4.color-component-highlight The bots have it
        %p
          %strong A small but intriguing percentage 
          of test teams (16%) either use “bots” to review their code or have an AI/ML tool in place for testing.

      .col-md-1.col-md-offset-1
        = image_tag "/images/devsecops-survey/icons/devsecops-survey-iconography_securing-security.svg"
      .col-md-4
        %h4.color-component-highlight Securing security
        %p
          %strong 23% of testers 
          think they’re solely responsible for security in their organizations.

    .row.u-margin-bottom-md
      .col-md-4.col-md-offset-1
        .chart
          %h3.chart-title How have your daily responsibilities changed because of DevOps?
          %ol.chart-list
            %li
              %b 30% 
              %span I’m working more closely with developers
              .bar
                %span{style: "width: 30%;"}
            %li
              %b 26% 
              %span There is more test automation
              .bar
                %span{style: "width: 26%;"}
            %li
              %b 16% 
              %span I feel like I have a more visible seat at the table
              .bar
                %span{style: "width: 16%;"}
            %li
              %b 11% 
              %span Things haven’t changed
              .bar
                %span{style: "width: 11%;"}
          %p.chart-caption Respondents were asked to rate their organization’s DevOps processes based on organization, repeatability, and scalability.
      .col-md-4.col-md-offset-2
        .chart
          %h3.chart-title  Where is test located in your organization?
          %ol.chart-list
            %li
              %b 56% 
              %span Embedded with developers
              .bar
                %span{style: "width: 56%;"}
            %li
              %b 22% 
              %span Are a separate organization
              .bar
                %span{style: "width: 22%;"}
            %li
              %b 15% 
              %span Are part of operations
              .bar
                %span{style: "width: 15%;"}
          %p.chart-caption We’re excited, but it’s important to note that 60% of survey respondents are GitLab users.

    .row.testimonial-section
      %blockquote.testimonial
        %span.quotemark.color-component-highlight &ldquo;
        We do TDD. QA and dev act as a team. We have automated tests running parallel with developing code.
        %span.quotemark.color-component-highlight &rdquo;
      .testimonial-source 2020 survey participant

%main.download#download
  %section.container.u-margin-top-xl{style: "text-align: center;"}
    .row
      .col-md-8.col-md-offset-2
        %h2{style: "color: #{color_dso_green};"} Explore the new DevOps landscape
        %p Chart your course in a rapidly changing technological landscape to move your teams towards greater collaboration and velocity.
        .form-to-resource-outer-wrapper
          = partial "includes/form-to-resource"
        %p.u-margin-top-lg
          %a.previous{href: "/developer-survey/previous/"} Previous years survey results

= image_tag "/images/devsecops-survey/gitlab-devsecops-footer-separator-blob.svg", style: "background: #ffffff; height: 150px; width: 100%;"

%main.end-ctas.u-padding-top-xl.u-padding-bottom-md.lightbg{style: "text-align: center;"}
  %section.container
    .row
      .col-md-8.col-md-offset-2.u-margin-bottom-sm
        = image_tag "/images/logos/footer_logo.svg", class: "u-margin-bottom-xs", style: "width: 80px;"
        %h2.text-purple GitLab is committed to <em>better</em> DevOps
        %p.text-purple.u-margin-bottom-sm Your thoughts in this survey shape how we build products to help teams strengthen collaboration, iteration, and delivery.
        %p
          = image_tag "/images/devsecops-survey/gitlab-devsecops-icon-button-decoration-left.svg", class: "footer-decoration", style: "display: inline-block; margin-right: 20px; width: 80px;"
          %a.btn.cta-btn.orange{href: "/"}
            Learn more about GitLab and DevOps
            %span.cta-icon
              = image_tag "/images/devsecops-survey/cta-arrow.svg"
          = image_tag "/images/devsecops-survey/gitlab-devsecops-icon-button-decoration-right.svg", class: "footer-decoration", style: "display: inline-block; margin-left: 20px; width: 80px;"
        = partial "includes/layout/footer-social-media"
